"use strict";
/*---------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
const vscode = require("vscode");
const constants_1 = require("./constants");
const resources_1 = require("./resources");
function getAlParams() {
    const alConfig = vscode.workspace.getConfiguration(constants_1.AlLanguageId);
    const alParams = {
        browserInfo: {
            browser: alConfig.get("browser"),
            incognito: alConfig.get("incognito")
        },
        env: alConfig.get("env")
    };
    if (alParams.browserInfo.incognito && alParams.browserInfo.browser === "SystemDefault") {
        vscode.window.showErrorMessage(resources_1.default.incognitoRequiresBrowserSetting);
    }
    return alParams;
}
exports.getAlParams = getAlParams;
//# sourceMappingURL=configurationHelpers.js.map