"use strict";
/*---------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/
Object.defineProperty(exports, "__esModule", { value: true });
const vscode = require("vscode");
const constants_1 = require("../constants");
const extensionService_1 = require("./extensionService");
class ReferenceContentProvider extends extensionService_1.ExtensionService {
    constructor(context, languageServerClient) {
        super(context);
        this.languageServerClient = languageServerClient;
    }
    activate() {
        this.registerForDisposal(vscode.workspace.registerTextDocumentContentProvider(constants_1.AlPreviewSchema, this));
    }
    provideTextDocumentContent(uri, token) {
        // For debugging go through the authenticated hub using the nav debug session to get content.
        if (vscode.debug.activeDebugSession) {
            return vscode.debug.activeDebugSession.customRequest(constants_1.AlOpenPreviewDocument, { Uri: uri.toString() });
        }
        return this.languageServerClient.sendRequest(constants_1.AlOpenPreviewDocument, { Uri: uri.toString() });
    }
}
exports.ReferenceContentProvider = ReferenceContentProvider;
//# sourceMappingURL=referenceContentProvider.js.map