"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/*---------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/
const vscode = require("vscode");
const constants_1 = require("../constants");
const workspaceFolderHelpers_1 = require("../workspaceFolderHelpers");
function getWorkspaceSettings(workspacePath) {
    workspacePath = workspacePath === undefined ? workspaceFolderHelpers_1.getCurrentWorkspaceFolderPath() : workspacePath;
    const fileUri = workspacePath !== undefined ? vscode.Uri.file(workspacePath) : null;
    const alConfig = vscode.workspace.getConfiguration(constants_1.AlLanguageId, fileUri);
    const settings = {
        activeWorkspacePath: workspacePath,
        alResourceConfigurationSettings: {
            assemblyProbingPaths: alConfig.get("assemblyProbingPaths"),
            codeAnalyzers: alConfig.get("codeAnalyzers"),
            enableCodeAnalysis: alConfig.get("enableCodeAnalysis"),
            backgroundCodeAnalysis: alConfig.get("backgroundCodeAnalysis"),
            packageCachePath: alConfig.get("packageCachePath"),
            ruleSetPath: alConfig.get("ruleSetPath"),
            enableCodeActions: alConfig.get("enableCodeActions"),
            incrementalBuild: alConfig.get("incrementalBuild"),
        }
    };
    return settings;
}
exports.getWorkspaceSettings = getWorkspaceSettings;
//# sourceMappingURL=settings.js.map